Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind
Class URLRetriever

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.URLRetriever

All Implemented Interfaces:
  AVList, Retriever, WWObject, PropertyChangeListener, Callable<Retriever>, EventListener

Direct Known Subclasses:
  HTTPRetriever

    public abstract class URLRetriever

extends WWObjectImpl
implements Retriever

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Fields inherited from interface gov.nasa.worldwind.Retriever
`RETRIEVER_STATE_CONNECTING, RETRIEVER_STATE_ERROR, RETRIEVER_STATE_INTERRUPTED, RETRIEVER_STATE_NOT_STARTED, RETRIEVER_STATE_READING, RETRIEVER_STATE_STARTED, RETRIEVER_STATE_SUCCESSFUL`

Constructor Summary
`URLRetriever(URL url, RetrievalPostProcessor postProcessor)`

Method Summary
`Retriever` | `call()`
`protected ByteBuffer` | `doRead(URLConnection connection)`
`boolean` | `equals(Object o)`
`long` | `getBeginTime()`
`ByteBuffer` | `getBuffer()`
`protected URLConnection` | `getConnection()`
`int` | `getConnectTimeout()`
`int` | `getContentLength()`
`int` | `getContentLengthRead()`
`String` | `getContentType()`
`long` | `getEndTime()`
`String` | `getName()`
`RetrievalPostProcessor` | `getPostProcessor()`
`String` | `getState()`
`long` | `getSubmitTime()`
`URL` | `getUrl()`
`int` | `hashCode()`
`void` | `setBeginTime(long beginTime)`
`void` | `setConnectTimeout(int connectTimeout)`
`protected void` | `setContentLengthRead(int length)`
`void` | `setEndTime(long endTime)`
`void` | `setSubmitTime(long submitTime)`
`String` | `toString()`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### URLRetriever

    public URLRetriever(URL url,
                        RetrievalPostProcessor postProcessor)

Parameters:
  `url` -
  `postProcessor` -
Throws:
  `IllegalArgumentException` - if `url` or `postProcessor` is null

Method Detail

### call

    public final Retriever call()
                         throws Exception

  Specified by:
    `call` in interface `Callable<Retriever>`
  Throws:
    `Exception`

### doRead

    protected ByteBuffer doRead(URLConnection connection)
                         throws Exception

  Parameters:
    `connection` -
  Returns:
  Throws:
    `Exception`
    `IllegalArgumentException` - if `connection` is null

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getBeginTime

    public long getBeginTime()

  Specified by:
    `getBeginTime` in interface `Retriever`

### getBuffer

    public final ByteBuffer getBuffer()

  Specified by:
    `getBuffer` in interface `Retriever`

### getConnection

    protected final URLConnection getConnection()

### getConnectTimeout

    public final int getConnectTimeout()

### getContentLength

    public final int getContentLength()

  Specified by:
    `getContentLength` in interface `Retriever`

### getContentLengthRead

    public final int getContentLengthRead()

  Specified by:
    `getContentLengthRead` in interface `Retriever`

### getContentType

    public final String getContentType()

  Specified by:
    `getContentType` in interface `Retriever`

### getEndTime

    public long getEndTime()

  Specified by:
    `getEndTime` in interface `Retriever`

### getName

    public final String getName()

  Specified by:
    `getName` in interface `Retriever`

### getPostProcessor

    public final RetrievalPostProcessor getPostProcessor()

### getState

    public final String getState()

  Specified by:
    `getState` in interface `Retriever`

### getSubmitTime

    public long getSubmitTime()

  Specified by:
    `getSubmitTime` in interface `Retriever`

### getUrl

    public final URL getUrl()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### setBeginTime

    public void setBeginTime(long beginTime)

  Specified by:
    `setBeginTime` in interface `Retriever`

### setConnectTimeout

    public final void setConnectTimeout(int connectTimeout)

  Parameters:
    `connectTimeout` -
  Throws:
    `IllegalArgumentException` - if `connectTimeOut` is less than zero

### setContentLengthRead

    protected void setContentLengthRead(int length)

### setEndTime

    public void setEndTime(long endTime)

  Specified by:
    `setEndTime` in interface `Retriever`

### setSubmitTime

    public void setSubmitTime(long submitTime)

  Specified by:
    `setSubmitTime` in interface `Retriever`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD